Bug 1295518 - 4 or more shadow variables might trigger cyclic source dependencies exception when that's not the case
4 or more shadow variables might trigger cyclic source dependencies exception...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: OptaPlanner (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: DR1
: 6.3.0
Assigned To: Geoffrey De Smet
Lukáš Petrovický
: Reopened
Depends On: 1295363
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 13:20 EST by Alessandro Lazarotti
Modified: 2016-04-28 01:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1295363
Environment:
Last Closed: 2016-01-05 07:26:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2016-01-04 13:20:19 EST
+++ This bug was initially created as a clone of Bug #1295363 +++

Description of problem:
see JIRA: https://issues.jboss.org/browse/PLANNER-490

as Geoffrey proposed, I would like to see this backported in 6.3x

--- Additional comment from JBoss Product and Program Management on 2016-01-04 04:20:19 EST ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Geoffrey De Smet on 2016-01-04 05:37:43 EST ---

Fixed with this commit on 6.3.x
  https://github.com/droolsjbpm/optaplanner/commit/f1db72e5c
It was already fixed on master.
Comment 1 Geoffrey De Smet 2016-01-05 07:26:40 EST
Already backported to 6.3.x because the original BZ 1295363 was about backporting it (the JIRA PLANNER-490 was about fixing it on master).

But it's better to create a JIRA/BZ too many than too little ;) Keep them coming!

*** This bug has been marked as a duplicate of bug 1295363 ***
Comment 3 Alessandro Lazarotti 2016-01-05 07:54:27 EST
Setting as MODIFIED, given that this BZ targets product 6.3, not the patch update 6.2.1.
Jira issue tracker is not for product yet and it is not verified by QA.
Comment 4 jvahala 2016-02-10 07:05:21 EST
Tests are ok, verified

Note You need to log in before you can comment on or make changes to this bug.